Bug 237613 - "cdrecord -scanbus" fails to scan bus and reiterates use: cdrecord -scanbus
"cdrecord -scanbus" fails to scan bus and reiterates use: cdrecord -scanbus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 02:19 EDT by Leonard A. Hickey
Modified: 2008-04-04 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: FC7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 13:15:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard A. Hickey 2007-04-24 02:19:02 EDT
Description of problem:
"cdrecord -scanbus" fails to scan bus and reiterates use: cdrecord -scanbus
also second CD-ROM never detected

Version-Release number of selected component (if applicable):
2.01-10

How reproducible:
Everytime the cdrecord command is used with the -scanbus option

Steps to Reproduce:
1.start up a terminal or press "control-alt-F2" key sequence
2.Enter: cdrecord -scanbus
3.
  
Actual results:
error message indicating:
cdrecord: For possible targets try 'cdrecord -scanbus'.


Expected results:
scsibus1:
        1,0,0   100) 'PIONEER ' 'DVD-RW  DVR-111D' '1.19' Removable CD-ROM
cdrecord: Warning: controller returns wrong size for CD capabilities page.
        1,1,0   101) 'ASUS    ' 'CD-S400/A       ' '2.1N' Removable CD-ROM
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *


Additional info:
The actual scanbus printout was produced by loading
rpm -Uvh --oldpackage cdrecord-2.01.1-9.i386.rpm
Comment 1 Harald Hoyer 2007-04-24 05:10:53 EDT
Try cdrecord -scanbus as root. Also don't use the bus notation. Use
dev=/dev/cdwriter
Comment 2 Leonard A. Hickey 2007-04-24 11:22:02 EDT
here's the New Info you requested:
[root@sage]~# cdrecord -scanbus
Cdrecord-Clone 2.01 (cpu-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
cdrecord: Invalid or incomplete multibyte or wide character. Cannot open SCSI
driver.
cdrecord: For possible targets try 'cdrecord -scanbus'.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
[root@sage]~# cdrecord dev=/dev/cdwriter -scanbus
Cdrecord-Clone 2.01 (cpu-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: '/dev/cdwriter'
devname: '/dev/cdwriter'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-li
nux-sg.c        1.83 04/05/20 Copyright 1997 J. Schilling').
scsibus0:
        0,0,0     0) 'PIONEER ' 'DVD-RW  DVR-111D' '1.19' Removable CD-ROM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
===========================================================================
The Error Returned message indicates that cdrecord with only the -scanbus 
option should work which makes this a valid bug
Comment 3 Bug Zapper 2008-04-04 03:05:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Leonard A. Hickey 2008-04-04 13:14:55 EDT
Now using FC7, problem has been fixed
/usr/bin/cdrecord is now part of
package: cdrkit-1.1.6-6.fc7.src.rpm
and /usr/bin/cdrecord is a symbolic link to /usr/bin/wodim

cdrecord --scanbus
scsibus1:
        1,0,0   100) 'PIONEER ' 'DVD-RW  DVR-111D' '1.19' Removable CD-ROM
wodim: Warning: controller returns wrong size for CD capabilities page.
        1,1,0   101) 'ASUS    ' 'CD-S400/A       ' '2.1N' Removable CD-ROM
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *

As originally advertized.

Note You need to log in before you can comment on or make changes to this bug.